Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/locations/reviews/respond/edit

Edit Response for Interaction

Edit the existing response provided any Interaction

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
reviewIdstringrequiredID of the interaction
responseContentstringrequiredResponse text content
responseIdstringrequiredResponse ID

Request

Request
curl -X POST 'https://api.synup.com/api/v4/locations/reviews/respond/edit' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "reviewId": "2090753a-ece6-4837-8336-8494ad308523",
  "responseContent": "This is a edited sample response",
  "responseId": "2090753a-ece6-4837-8336-8494ad308523"
}'

Responses

StatusDescription
200Response successfully posted
Example response
{
  "data": {
    "editResponse": {
      "status": "true",
      "reviewId": "2090753a-ece6-4837-8336-8494ad308523",
      "responseId": "2090753a-ece6-4837-8336-8494ad308524"
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.editResponseobjectoptional
data.editResponse.statusbooleanoptional
data.editResponse.reviewIdstringrequired
data.editResponse.responseIdstringrequired